new logo ubuntu new logo ubuntu

What Joomla version should I use?

Wednesday, 27 March 2013 14:21

What Joomla version should I use?

Big news on the Joomla front! It appears the the steering group that runs Joomla has recently updated it's advice on Joomla website building.

Up until recently, it was recommended to launch all new Joomla sites with the LTS (Long Term Release) version 2.5. But with the release in late 2012 of Joomla 3.0 (STL) the Joomla community has had a glimpse into the future of the project.